
Foreman - Bug #23721

Nightlies javascript does not work

05/29/2018 09:30 AM - Daniel Lobato Garcia

Status: Closed   

Priority: High   

Assignee:    

Category: JavaScript stack   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5641

  

Description

You may reproduce by creating a new box with Forklift (vagrant up centos7-katello-nightly).

Check out the attached screenshot, but basically without JS users can't even click on the vertical navigation bar.

As you can see, assets:precompile and webpack:compile don't work after installation.

vssh centos7-katello-nightly

Last login: Tue May 29 08:05:47 2018 from 192.168.121.1

[vagrant@centos7-katello-nightly ~]$ sudo foreman-rake assets:precompile

/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP

/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

/usr/share/foreman/lib/core_extensions.rb:182: warning: already initialized constant ActiveSupport

::MessageEncryptor::DEFAULT_CIPHER

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/message_

encryptor.rb:22: warning: previous definition of DEFAULT_CIPHER was here

rake aborted!

LoadError: cannot load such file -- sass

/opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependen

cies.rb:292:in `block in require'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependen

cies.rb:258:in `load_dependency'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependen

cies.rb:292:in `require'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/autoload/sass.rb:

1:in `<top (required)>'

/opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependen

cies.rb:292:in `block in require'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependen

cies.rb:258:in `load_dependency'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependen

cies.rb:292:in `require'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/sass_processor.rb

:47:in `initialize'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/sass_processor.rb

:26:in `new'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/sass_processor.rb

:26:in `instance'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/sass_processor.rb

:30:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:75:in `call_processor'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:57:in `block in call_processors'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:56:in `reverse_each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:56:in `call_processors'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:134:in 

`load_from_unloaded'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:60:in `

block in load'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:317:in 

`fetch_asset_from_dependency_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:44:in `

load'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/cached_environmen

t.rb:20:in `block in initialize'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/cached_environmen

t.rb:47:in `load'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/bundle.rb:23:in `

block in call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/utils.rb:200:in `

dfs'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/bundle.rb:24:in `

call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:75:in `call_processor'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:57:in `block in call_processors'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:56:in `reverse_each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/processor_utils.r

b:56:in `call_processors'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:134:in 

`load_from_unloaded'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:60:in `

block in load'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:317:in 

`fetch_asset_from_dependency_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/loader.rb:44:in `

load'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/cached_environmen

t.rb:20:in `block in initialize'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/cached_environmen

t.rb:47:in `load'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/base.rb:66:in `fi

nd_asset'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/base.rb:73:in `fi

nd_all_linked_assets'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/manifest.rb:134:i

n `block in find'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/manifest.rb:133:i

n `each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/manifest.rb:133:i

n `find'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/sprockets/manifest.rb:185:i

n `compile'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.

rb:68:in `block (3 levels) in define'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-3.7.1/lib/rake/sprocketstask.rb:147:i

n `with_logger'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.

rb:67:in `block (2 levels) in define'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'

Tasks: TOP => assets:precompile

(See full trace by running task with --trace)

[vagrant@centos7-katello-nightly ~]$ sudo foreman-rake webpack:compile

/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP

/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

/usr/share/foreman/lib/core_extensions.rb:182: warning: already initialized constant ActiveSupport
::MessageEncryptor::DEFAULT_CIPHER

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/message_

encryptor.rb:22: warning: previous definition of DEFAULT_CIPHER was here

rake aborted!

Can't find our webpack executable at /usr/share/foreman/node_modules/.bin/webpack - have you run `

npm install`?

/opt/theforeman/tfm/root/usr/share/gems/gems/webpack-rails-0.9.8/lib/tasks/webpack.rake:10:in `blo

ck (2 levels) in <top (required)>'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'

Tasks: TOP => webpack:compile

(See full trace by running task with --trace)

Associated revisions

Revision 22016fd3 - 06/18/2018 05:24 PM - Avi Sharvit

Fixes #23790 - Upgrade and pin patternfly-react

Upgrade and pin patternfly-react to v2.5.1

May fix #23721

Revision 7563b482 - 06/18/2018 07:26 PM - Avi Sharvit

Fixes #23791 - Upgrade and pin patternfly-react

Upgrade and pin patternfly-react to v2.5.1

May fix #23721

History

#1 - 05/29/2018 09:31 AM - Daniel Lobato Garcia

- Subject changed from Nightlies javascript does not compile to Nightlies javascript does not work

Changed 'compile' to work as "compiled javascript" isn't really a thing..

#2 - 06/18/2018 06:01 PM - Avi Sharvit

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 22016fd31f223d3efea44cbc5b29432b396f0013.

#3 - 06/19/2018 06:01 AM - Marek Hulán

- translation missing: en.field_release set to 353

- Pull request https://github.com/theforeman/foreman/pull/5641 added

not sure why the PR was not linked, linking manually

#4 - 07/19/2018 11:26 AM - Ewoud Kohl van Wijngaarden

- Category set to JavaScript stack

- Triaged set to No

Files

Screenshot from 2018-05-29 11-29-13.png 198 KB 05/29/2018 Daniel Lobato Garcia
